# Defold Druid UI Library

# Module `druid.blocker`

Component to block input on specify zone by node

## Functions

init(node) | Component init function
set_enabled(state) | Set enabled blocker component state
is_enabled() | Return blocked enabled state

## Tables

Events | Component events
Fields | Component fields

## Functions

init(node)
  Component init function

  ### Parameters:

  - node node Gui node
set_enabled(state)
  Set enabled blocker component state

  ### Parameters:

  - state bool Enabled state
is_enabled()
  Return blocked enabled state

  ### Returns:

  bool True, if blocker is enabled

## Tables

Events
  Component events

  ### Fields:

  - on_click druid_event On release button callback
  - on_enable_change druid_event On enable/disable callback
Fields
  Component fields

  ### Fields:

  - node node Trigger node

generated by LDoc 1.4.6 Last updated 2020-04-17 20:13:54